Bug 1375784 (webkit1-removal) - Port applications to WebKit2
Summary: Port applications to WebKit2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: webkit1-removal
Product: Fedora
Classification: Fedora
Component: distribution
Version: 27
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1303944 1375786 1375789 1375790 1375791 1375792 1375793 1375794 1375796 1375797 1375798 1375799 1375800 1375801 1375802 1375803 1375804 1375805 1375806 1375807 1375809 1375810 1375811 1375812 1375814 1375815 1375817 1375818 1375819 1375821 1375822 1375823 1375824 1375825 1375826 1375827 1375828 1375829 1375830 1375831 1375832 1375834 1375835 1375836 1375837 1375838 1375839 1375840 1375841 1375842 1375843 1375844 1375845 1375846
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-14 04:11 UTC by Michael Catanzaro
Modified: 2019-04-29 04:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-07 19:17:56 UTC


Attachments (Terms of Use)

Description Michael Catanzaro 2016-09-14 04:11:01 UTC
The webkitgtk and webkitgtk3 packages will be removed from rawhide after Fedora 26 is branched due to the high number of unfixed security vulnerabilities. Dependencies that are not updated to use modern WebKit will not be present in Fedora 27.

Please refer to [1] for a FAQ on this matter and be advised that for some packages this may require a substantial amount of work.

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/AKVB363GFCHHJ5MTHGVYHYT6NLLTF5VM/

Comment 1 Christian Stadelmann 2016-09-22 18:08:48 UTC
@mcatanzaro: Can you please change the package description of webkitgtk and webkitgtk3 and add a deprecation warning?

Comment 2 Michael Catanzaro 2016-09-22 20:43:32 UTC
(In reply to Christian Stadelmann from comment #1)
> @mcatanzaro: Can you please change the package description of webkitgtk and
> webkitgtk3 and add a deprecation warning?

I can change webkitgtk3 but I don't have access to webkitgtk3. Tomas, do you want to do it?

Comment 3 Tomas Popela 2016-09-26 07:50:53 UTC
(In reply to Christian Stadelmann from comment #1)
> @mcatanzaro: Can you please change the package description of webkitgtk and
> webkitgtk3 and add a deprecation warning?

Let's see bug 1303844.

Comment 4 Fedora End Of Life 2017-02-28 10:15:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Jan Kurik 2017-08-15 08:21:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 6 Hin-Tak Leung 2017-11-20 00:12:26 UTC
Okay, upgraded to fedora 27 and found that webkit-sharp and webkitgtk-sharp3 are both broken...

Comment 7 Michael Catanzaro 2017-11-20 15:23:35 UTC
(In reply to Hin-Tak Leung from comment #6)
> Okay, upgraded to fedora 27 and found that webkit-sharp and webkitgtk-sharp3
> are both broken...

See bug #1375827.

Comment 8 Christian Stadelmann 2018-10-06 10:32:22 UTC
All bugs this one is blocked by have been closed. Does that mean the issue is solved? If yes, how about closing this bug report?

Comment 9 Michael Catanzaro 2018-10-07 19:17:56 UTC
Yes, all packages still depending on this were removed from the distribution.


Note You need to log in before you can comment on or make changes to this bug.